ECHO OFF
CLS
SET d=C:
IF .%1%== . GOTO start 
SET d=%1%
ECHO -1>%d%TEST
IF NOT EXIST %d%TEST GOTO :error
del %d%test
:start
ECHO _________________________________________________________________________
ECHO                       MANUSCRIPT EDITOR INSTALLATION             
ECHO -------------------------------------------------------------------------
ECHO                              Manuscript Editor
ECHO                          (c) 1995 The BrainStorm Co.
ECHO                             All Rights Reserved
ECHO.
ECHO                            The BrainStorm Company
ECHO                   P.O. Box 1333 - Studio City - CA - 91614
ECHO                   For more information call (213) 969-2455
ECHO                            Email: BrainCo@aol.com
ECHO _________________________________________________________________________
ECHO.
ECHO This program installs Manuscript Editor(TM) on your drive in a directory
ECHO called %d%\EDIT1.  If you want to install onto a different drive, restart 
ECHO the installation procedure and type INSTALL followed by the correct drive 
ECHO specification (i.e.:  INSTALL D: installs Manuscript Editor to drive D:).
ECHO.
ECHO       BE SURE TO READ THE 'README.TXT' FILE IF YOU HAVE ANY QUESTIONS.
ECHO                   Press CTRL+BREAK to stop installation...
ECHO.
pause
:begin1
if exist EDITOR.LZH goto begin2
cls
ECHO Insert disk #1 and press any key to continue...
pause
goto begin1
:begin2
mkdir %d%\edit1
xcopy *.* %d%\edit1 /s/e
cls
ECHO Decompressing files...
%d%
cd %d%\edit1
lharc x EDITOR.LZH
del EDITOR.LZH
del INSTALL.BAT
goto end
:error
echo Incorrect drive specification--please try again.
:end
cls
ECHO Type EDITOR + ENTER to begin!
